Skip to main content
POST
/
audio
/
transcriptions
Speech-to-text
curl --request POST \
  --url https://api.runcrate.ai/v1/audio/transcriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form model=openai/whisper-large-v3 \
  --form 'language=<string>' \
  --form response_format=json
import requests

url = "https://api.runcrate.ai/v1/audio/transcriptions"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
    "model": "openai/whisper-large-v3",
    "language": "<string>",
    "response_format": "json"
}
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('model', 'openai/whisper-large-v3');
form.append('language', '<string>');
form.append('response_format', 'json');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.runcrate.ai/v1/audio/transcriptions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "text": "<string>"
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  }
}

Authorizations

Authorization
string
header
required

Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.

Body

multipart/form-data
file
file
required

Audio file (mp3, wav, m4a, flac, webm, mp4).

model
string
required
Example:

"openai/whisper-large-v3"

language
string

Optional ISO-639-1 hint (e.g. 'en').

response_format
enum<string>
default:json
Available options:
json,
text,
srt,
vtt

Response

Transcription text.

text
string